
//移动端版本兼容
if(/Android (\d+\.\d+)/.test(navigator.userAgent)){
    var version = parseFloat(RegExp.$1);
    if(version>2.3){
        var phoneScale = parseInt(window.screen.width) / 720;
        document.write('<meta name="viewport" content="width=720, minimum-scale = '+ phoneScale +', maximum-scale = '+ phoneScale +', target-densitydpi=device-dpi">');
    }else{
        document.write('<meta name="viewport" content="width=720, target-densitydpi=device-dpi">');
    }
}else{
    document.write('<meta name="viewport" content="width=720, user-scalable=no, target-densitydpi=device-dpi">');
}


window.$public=(function(){
    var _body,wx_modal;
    /*初始化*/
    function init(){
        _body=$(".body");
        main_height();
        init_wx_modal();
    }
    /*菜单方法*/
    function menu(i){
        var menu=$(".foot-nav>li");
        i=i&&(i!=0)?parseInt(i):0;
        menu.removeClass("active").eq(i).addClass("active");
		if($(menu.eq(i)).hasClass("footerHome")){//首页
			$(".footerCircle img").attr("src","img/dynamicIcon3.png");
			$(".footerDynamic img").attr("src","img/dynamicIcon3.png");
		}else if($(menu.eq(i)).hasClass("footerDynamic")){//动态
			menu.eq(i).find("img").attr("src","img/dynamicIcon2.png")
		}else if($(menu.eq(i)).hasClass("footerCircle")){//圈子
			menu.eq(i).find("img").attr("src","img/circleIcon2.png")
		}
    }
    /*主体高度设置*/
	 function main_height(){
        var main=$(".main"),
            mh_f=main.outerHeight();
		var headerHeight=$(".header_bar").outerHeight()
		var footerHeight=$(".footer").outerHeight()
        set_main_height();
        function set_main_height(){
            var wh=$(window).outerHeight(),
                dh=$(document).outerHeight();
				dh2=$(document).height();
            if(wh>dh){
                main.outerHeight(wh-headerHeight-footerHeight);
            }else{
                if(mh_f<dh2){
                    main.height(dh-headerHeight-footerHeight);
                }
            }
        }
    }
    /*头部提示效果*/
    function tips(text,delay,cls) {
        delay=parseInt(delay)>0?parseInt(delay):2000;
        var dom=$('<div class="common-tops">'+text+'</div>');
        _body.append(dom.addClass(cls));
        setTimeout(function(){
            dom.addClass("active");
        },50);
        setTimeout(function(){
            dom.removeClass("active");
            setTimeout(function(){
                dom.remove();
            },500);
        },delay);
    }

    function init_wx_modal(){
        var wxm=$(".wx-focus-modal");
        if(wxm.length<=0){
            wx_modal={
                open:function(){},
                close:function(){}
            }
        }else{
            var close_fun=function(){
                    wxm.removeClass("active");
                    setTimeout(function(){
                        wxm.hide();
                    },300);
                },
                open_fun=function(){
                    wxm.show();
                    setTimeout(function(){
                        wxm.addClass("active");
                    },50);
                };
           wxm.find(".close").on("click",close_fun);
            wx_modal={
                open:open_fun,
                close:close_fun
            }
        }
    }
    return {
        init:init,
        menu:menu,
        tip:tips,
        wx_tip:{
            open:function(){
                wx_modal.open();
            },
            close:function(){
                wx_modal.close();
            }
        }
    }
})();

$(function(){
    $public.init();
    if(navigator.userAgent.indexOf('MicroMessenger') >= 0){
        $(".fixed-qq-btn").hide();
    }
    /*调用弹层*/
   /* $public.wx_tip.open();*/
	$('.footerDynamic').click(function(event){
    	event.stopImmediatePropagation();//取消事件冒泡；
		$('.DynamicShow').addClass('active');
	})
	$(document).bind("click",function(){
		$('.DynamicShow').removeClass('active');
	})
	$(document).bind("touchmove",function(){
		$('.DynamicShow').removeClass('active');
	})
	
});

