$(function () {
    var expire_time = $('#expire_time').val();
    var func = {
        init: function () {
            func.get_clock_time();
        },
        //获取倒计时时间
        get_clock_time: function () {
            var url = $("#get_verify_expire_time").val();
            common.ajax_post_mobile(url, false, true, function (rt) {
                common.post_tips_mobile(rt, function () {
                }, function (obj) {
                    func.time_clock(obj.msg);
                });
            });
        },

        //找回密码验证提交
        submit: function () {
            var username = $("input[name='username']").val();
            var bind = $("input[name='bind']").val();
            var verify = $("input[name='verify']").val();
            var url = $("#find_pwd_url").val();
            if (username == "") {
                layer.open({
                        content: '用户名不能为空',
                        skin: 'msg',
                        time: 2 //2秒后自动关闭
                    });
                return;
            }
            if (bind == "") {
                layer.open({
                        content: '绑定的手机或邮箱不能为空',
                        skin: 'msg',
                        time: 2 //2秒后自动关闭
                    });
                return;
            }
            if (verify == "") {
                layer.open({
                        content: '验证码不能为空',
                        skin: 'msg',
                        time: 2 //2秒后自动关闭
                    });
                return;
            }
            common.ajax_post_mobile(url, {username: username, bind: bind, verify: verify}, true, function (rt) {
                common.post_tips_mobile(rt);
                var obj =  common.str2json(rt);
                if(obj.code == 1){
                    $(".step-current").remove();
                    $(".step-block").removeClass('step-next').addClass('step-curren');
                }
            });
        },
        //重置密码
        update_password: function () {
            var password = $("input[name='password']").val();
            var re_password = $("input[name='re_password']").val();
            if (password == "") {
                layer.open({
                        content: '新密码不能为空',
                        skin: 'msg',
                        time: 2 //2秒后自动关闭
                    });
                return;
            }
            if (re_password == "") {
                layer.open({
                        content: '重复密码不能为空',
                        skin: 'msg',
                        time: 2 //2秒后自动关闭
                    });
                return;
            }
            var url = $('#update_password').val();
            common.ajax_post_mobile(url, {password: password, re_password: re_password}, true, function (rt) {
                common.post_tips_mobile(rt);
                var obj =  common.str2json(rt);
                if(obj.code == 1){
                    $(".reset").addClass("success");
                }
            });
        },
        text: function () {
            var find_ok_url = $("#find_ok_url").val();
            common.ajax_post_mobile(find_ok_url, false, true, function (re) {
                var ject = common.str2json(re);
                $('#find_pwd').html(ject.html);
            });
        },
        //获取手机验证码
        get_phone_code: function (verify) {
            //检查手机号是否符合规范
            var regx = /^[1][3-9][0-9]{9}$|^\w{1,30}\@\w{1,20}\.[a-zA-Z]{2,10}$/;
            var num = $("#bind_phone").val();

            if (!regx.test(num)) {
                layer.open({
                        content: '请输入正确的手机号或邮箱',
                        skin: 'msg',
                        time: 2 //2秒后自动关闭
                    });
                return;
            }
            var url = $("#get_code").val();
            var reg = "rst_pass";
            common.ajax_post_mobile(url, {
                reg: reg,
                num: num,
                verify: verify,
                username: $('input[name="username"]').val()
            }, true, function (rt) {
                common.post_tips_mobile(rt, function () {
                    layer.open({
                        content: '获取验证码成功,请将验证码填入输入框',
                        skin: 'msg',
                        time: 2 //2秒后自动关闭
                    });
                    func.time_clock(expire_time);
                });
            }, true, [0.1, "#eee"]);
        },
        //倒计时120秒
        time_clock: function (expire_time) {
            /**第一次存剩余时间S*/
            //func.write_countdown(time_sec);
            /**第一次存剩余时间E*/

            $(".vacode").addClass("disabled").removeClass("get_vacode");
            $(".vacode").html(expire_time + "秒后重试");
            time_index = window.setInterval(function () {
                $(".vacode").html(--expire_time + "秒后重试");
                //
                ///**每5秒存一次剩余时间S*/
                //if (time_sec % 5 == 0 && time_sec != 0) {
                //    func.write_countdown(time_sec);
                //}
                ///**每5秒存一次剩余时间E*/
                if (expire_time == 0) {
                    ///**写倒计时时间清空S*/
                    //func.write_countdown(null);
                    ///**写倒计时时间清空E*/

                    $(".vacode").html('获取验证码').addClass("get_vacode").removeClass("disabled");
                    window.clearInterval(time_index);
                }
                //alert(0)
            }, 1000)
        },
    };
    func.init();
    //找回密码验证提交
    $(document).on("click", "#next_step", function () {
        func.submit();
    });
    //
    //修改密码提交
    $(document).on("click", "#reset_submit", function () {
        func.update_password();
    });


    //获取手机验证码
    $(document).on('click', '#get_vacode', function () {
        var phone=$('input[name="bind"]').val();

        if(!/1[3-9][0-9]{9}/.test(phone)){
            layer.open({
                content: '请输入正确的手机号',
                skin: 'msg',
                time: 2 //2秒后自动关闭
            });
            return;
        }
        layer.open({
            content: '<div id="verify_phone_box">' + $("#verify_html").html() + '</div>'
            ,btn: ['发送', '取消']
            ,yes: function(index){
                var code = $("#verify_phone_box").find('.phone_code').val();
                func.get_phone_code(code);
            }
        });

        $("#verify_phone_box").find('.img_verify').trigger('click');
    });

});