window.$index=(function(){
    var swp_main,swp_inner,time_flag;
    function init(){
        /*页面初始化*/
        init_swp();
        init_download_modal();
    }
    /*初始化swiper*/
    function init_swp(){
        var nums_dom=$(".ib-5 .nums-text>p"),
            swin_btn=$(".scroll_btn>a");
        swp_main = new Swiper('.index-content', {
            speed: 400,
            direction:'vertical',
            onSlideChangeEnd:function(obj){
                if(obj.activeIndex==4){
                    time_flag=false;
                    nums_dom.each(function(){
                        set_nums($(this));
                    });
                }else{
                    time_flag=true;
                }
            }
        });
        swp_inner = new Swiper('.ib-4-scroll', {
            loop:true,
            onSlideChangeStart:function(a){
                var act_index=a.activeIndex<=0?swin_btn.length:a.activeIndex>swin_btn.length?1:a.activeIndex;
                swin_btn.removeClass("active").eq(act_index-1).addClass("active");
            }

        });
        swin_btn.on("click",function(){
            swp_inner.slideTo($(this).index()+1);
        });
    }
    /*设置数字滚动*/
    function set_nums(dom){
        var val=parseInt(dom.data("num"));
        if(!val||val<=0){
            return;
        }
        var step=40;
        timer_fun();
        function timer_fun(t,cond){
            if(!cond){
                cond=0;
            }
            if(!t){
                t=0;
            }
            if(t>=val) {
                t=val;
            }
            dom.text(set_str(t));
            if(!time_flag&&t<val){
                var delay=Math.abs(Math.sin(cond*90))*80;
                setTimeout(function(){timer_fun(t+val/step,cond+1)},delay)
            }
        }
        function set_str(v,t,w){
            if(!t){
                t="";
            }
            if(!w){
                w=1
            }
            if((w-1)%3==0&&w!=1){
                t=","+t;
            }
            t=parseInt((v%Math.pow(10,w))/Math.pow(10,w-1))+t;
            if((parseInt((v/Math.pow(10,w)))>0)&&v>0){
                return set_str(v,t,w+1);
            }else{
                return t;
            }
        }
    }

    /*设置弹层*/
    function init_download_modal(){
        var dl_modal=$(".index-download-modal");
        dl_modal.find(".close").on("click",function(){
            dl_modal.hide();
        });
    }

    return {
        init:init
    }
})();

$(function(){
    $public.menu(0);
    $index.init();
});