$(function () {
    var func = {
        init: function () {
            var origin = $("#origin").val();
            if (origin == "android" || origin == "ios") {
                $(".footer").css("display", "none");
            }
        },
        //卡密判断用户是否存在
        //检测付费账号是否正确
        chk_username: function () {
            var url = $("#get_user_info").val();
            var param = {username: $("input[name='username_card']").val()};
            common.ajax_post_mobile(url, param, true, function (rt) {
                common.post_tips_mobile(rt, false, function (obj) {
                    layer.open({
                        content: obj.msg,
                        skin: 'msg',
                        time: 2 //2秒后自动关闭
                    });
                    $("input[name='username_card']").val('');
                });
            })
        },
        //天数检测付费账号是否正确
        pay_name: function () {
            var url = $("#get_user_info").val();
            var param = {username: $("input[name='username_day']").val()};
            common.ajax_post_mobile(url, param, true, function (rt) {
                common.post_tips_mobile(rt, false, function (obj) {
                    layer.open({
                        content: obj.msg,
                        skin: 'msg',
                        time: 2 //2秒后自动关闭
                    });
                    $("input[name='username_days']").val('');
                });
            })
        },
        //兑换卡密
        exchange_card: function () {
            var url = $("#exchange_card").val();
            var param = {
                username: $("input[name='username_card']").val(),
                coupon: $("#card_num").val(),
                verify: $("#verify").val(),
                password: $("#card_pass").val()
            };
            common.ajax_post_mobile(url, param, true, function (rt) {
                common.post_tips_mobile(rt, function (obj) {
                    if (obj.code === 101) {
                        layer.open({
                            content: '[' + obj.ret_data.title + '](' + obj.ret_data.value + '),剩余使用次数:[' + obj.ret_data.last_times + ']  确认兑换吗'
                            , btn: ['兑换', '取消']
                            , yes: function (index) {
                                param.flag = true;
                                common.ajax_post_mobile(url, param, true, function (rt) {
                                    common.post_tips_mobile(rt);
                                }, true, [0.1, "#444"]);
                            }
                        });

                    }
                }, function (obj) {
                    layer.open({
                        content: obj.msg,
                        skin: 'msg',
                        time: 2 //2秒后自动关闭
                    });
                    $("#img_verify").trigger("click");
                });
            })
        },
        ////获取登录用户信息
        //init_login_user: function () {
        //    var url = $("#get_login_user").val();
        //    common.ajax_post_mobile(url, false, true, function (rt) {
        //        common.post_tips_mobile(rt, function (obj) {
        //            $("input[name='username_day']").val(obj.ret_data.username_day);
        //            func.exec();
        //        }, false);
        //    })
        //},
        //实时计算
        exec: function () {
            var url = $('#get_pay_info').val();
            var username = $("input[name='username_day']").val();
            //var pak_id = $("input[name='pak_id']").val();
            var coupon = $("input[name='coupon']").val();
            var param = {
                'username': username,
                //'pak_id': pak_id,
                'coupon': coupon,
                'buy_num': $("input[name='buy_num']").val()
            };
            common.ajax_post_mobile(url, param, true, function (rt) {
                common.post_tips_mobile(rt, function (obj) {
                    obj = obj.ret_data;
                    if (obj.error === 0) {
                        //成功执行
                        func.exec_ok(obj);
                    }
                    else {
                        //失败执行
                        func.exec_wrong(obj);
                    }
                }, function (obj) {
                    $("#last_error").val(obj.msg);
                    layer.open({
                        content: obj.msg,
                        skin: 'msg',
                        time: 2 //2秒后自动关闭
                    });
                })
            })
        },
        //执行成功
        exec_ok: function (obj) {
            if (obj.use_coupon) {
                //显示使用优惠券后的结果
                $("#top_up").prop('readonly', true);
                $("#coupons_ok").hide();
                $(".coupons_retry").show();
                $("input[name='coupon']").val(obj.coupon);
            }
            //显示赋值
            $('.price').html('¥' + obj.money);
            if (obj.value && obj.coupon_type) {
                $(".discount").show().html(obj.value + obj.coupon_type + '优惠');
            }
        },
        //执行失败
        exec_wrong: function (obj) {
            $("#last_error").val(obj.msg);
            layer.open({
                content: obj.msg,
                skin: 'msg',
                time: 2 //2秒后自动关闭
            });
            if (obj.use_coupon) {
                $("#use_coupons").show();
                $("#coupons_block").hide();
                $(".coupons_ok").show();
                $(".coupons_retry").hide();
                $("#top_up").show().val('');
            }
            $('.price').html('¥' + obj.money);
            $(".discount").hide().html('');
        },
        //下单
        order: function () {
            var type = $('#pay_type').val();
            //alert(type);
            var url = $("#order").val();
            var param = {
                username: $('input[name="username_day"]').val(),
                //pak_id: $('input[name="pak_id"]').val(),
                coupon: $('input[name="coupon"]').val(),
                buy_num: $('input[name="buy_num"]').val(),
                day_name: $('input[name="day_num"]').val()
            };
            common.ajax_post_mobile(url, param, false, function (rt) {
                common.post_tips_mobile(rt, function (obj) {
                    var order = obj.ret_data.order;
                    if (!order) {
                        layer.open({
                            content: '订单创建失败',
                            skin: 'msg',
                            time: 2 //2秒后自动关闭
                        });
                        return false;
                    }
                    switch (type) {
                        case 'alipay':
                            $("#order_form").attr('action', $("#alipay_url").val() + '?order=' + order);
                            $("#order_form").submit();
                            break;
                        case 'weipay':
                            document.location.href = $("#wx_pay").val() + '?order=' + order;
                            break;
                    }
                }, function (obj) {
                    layer.open({
                        content: obj.msg,
                        skin: 'msg',
                        time: 2 //2秒后自动关闭
                    });
                });
            });
        }
    };

    ////改变数量
    $(document).on('mouseleave', "#day_num_change", function () {
        //alert(1);
        func.exec();
    });
    ////取消输入
    //$(document).on('click', ".cancel_input", function () {
    //    var obj = $(this);
    //    obj.closest('li').find('input').val('');
    //});
    //立即购买提交
    $(document).on("click", ".pay-base-open", function () {
        // $(".pay-block").removeClass("active");
        // $(".pay-base").addClass("active");
        location.href = $(this).data('url');
    });

    //卡密购买
    //判断充值用户提交
    $(document).on("mouseleave", "#pay_username", function () {
        func.chk_username();
    });

    //卡密兑换提交订单
    $(document).on("click", "#exchange", function () {
        func.exchange_card();
    });

    //天数购买
    //判断购买用户提交
    $(document).on("mouseleave", "#pay_name", function () {
        //alert(1);
        func.pay_name();
    });
    //优惠券判断提交
    $(document).on('click', '#coupons_ok', function () {
        if ($("input[name='coupon']").val() == '') {
            layer.open({
                content: '优惠券号码不能为空',
                skin: 'msg',
                time: 2 //2秒后自动关闭
            });
            return;
        }
        //func.cash();
        func.exec();
    });
    //支付方式判断
    $(document).on('click', '.pay_type_btn', function () {
        var type = $(this).data('id');
        $('#pay_type').val(type);
    });
    //支付
    $(document).on('click', '#pay_go', function () {
        var obj = $(this);
        func.order(obj);
    });
    func.init();
});