$(function () {
    var sum_price;
    var func = {
        init: function () {
            if ($('input[name="username"]').val()) {
                func.exec();
            }
            func.init_pay();
            func.init_login_user();
        },
        accsub:function(arg1,arg2){
            var r1,r2,m;
            try{
                r1=arg1.toString().split(".")[1].length
            }catch(e){
                r1=0}  try{
                r2=arg2.toString().split(".")[1].length}catch(e){r2=0}  m=Math.pow(10,Math.max(r1,r2))
            return (arg1*m-arg2*m)/m
        },
        exec_price : function(){
            if(typeof sum_price == "undefined"){
                return;
            }
            var type = $('#pay_type').val();
            if(type == "alipay"){
                var show_money = func.accsub(sum_price,1);
                $(".hints").show();
                $(".price").html(show_money);
            }else{
                $(".hints").hide();
                $(".price").html(sum_price);
            }
        },
        init_pay: function () {
            if (func.is_weixin()) {
                $("#wechat_pay_public").show();
                $("#wechat_pay_public").find('.pay_type_btn').trigger('click');
            }
            else if (/^.*MDAPP.*$/.test(navigator.userAgent)) {
                $("#ali_pay").show();
                $("#wechat_pay").show();
                $("#wechat_pay").find('.pay_type_btn').trigger('click');
            }
            else {
                $("#ali_pay").show();
                $("#ali_pay").find('.pay_type_btn').trigger('click');
            }
        },
        is_weixin: function () {
            var ua = navigator.userAgent.toLowerCase();
            if (ua.match(/MicroMessenger/i) == "micromessenger") {
                return true;
            } else {
                return false;
            }
        },
        //客户端微信支付
        wx_pay: function (order, type) {
            var url;
            if (type == 'weipay') url = $("#get_wechat_info").val();
            if (type == 'weipay_public') url = $("#wechat_public").val();
            layer.open({type: 2});
            common.ajax_post_mobile(url, {'order': order,'openid':$("#openid").val()}, true, function (rt) {
                common.post_tips_mobile(rt, function (obj) {
                    var conf = obj.ret_data;

                    func.do_pay(conf, type);
                })
            })
        },
        //判断用户是否存在
        user_judge: function () {
            var url = $("#user_judge_url").val();
            var username = $('input[name="username"]').val();
            common.ajax_post_mobile(url, {username: username}, false, function (rt) {
                var obj = common.str2json(rt);
                if (obj.code == 1) {
                    layer.open({
                        content: obj.msg,
                        skin: 'msg',
                        time: 2 //2秒后自动关闭
                    });
                } else {
                    layer.open({
                        content: obj.msg,
                        skin: 'msg',
                        time: 2 //2秒后自动关闭
                    });
                }
            });
        },
        //实时计算
        exec: function () {
            var url = $('#gateway').val();
            var username = $("input[name='username']").val();
            var pak_id = $("input[name='pak_id']").val();
            var coupon = $("input[name='coupon']").val();
            var num = $("input[name='num']").val();
            var add_terminal = $(".add_terminal").val();
            var param = {
                'username': username,
                'req_type': '1',
                'exec_type': 'add_time',
                'balance_flag': 'false',
                'pak_id': pak_id,
                'coupon': coupon,
                'num': num,
                'add_terminal': add_terminal
            };
            common.ajax_post_mobile(url, param, true, function (rt) {
                common.post_tips_mobile(rt, function (obj) {
                    obj = obj.ret_data;
                    //赋值
                    sum_price = obj.sum_price;
                    //计算价格
                    func.exec_price();
                    //如果优惠券正确,禁用优惠券
                    if (obj.coupon_info.code && obj.coupon_info.code == '1') {
                        func.lock_coupon();
                    }
                    else {
                        func.unlock_coupon();
                    }

                    //返回的套餐信息
                    func.enable_pay(obj);
                }, function (obj) {
                    func.disable_pay();
                    //提示
                    layer.open({
                        content: obj.msg,
                        skin: 'msg',
                        time: 2 //2秒后自动关闭
                    });
                })
            })
        },
        //锁定
        lock_coupon: function () {
            $("#coupons_ok").hide();
            $("#coupons_retry").show();
            $("#top_up").prop('readonly', true);
        },
        //解锁优惠券
        unlock_coupon: function () {
            $("#coupons_ok").show();
            $("#coupons_retry").hide();
            $("#top_up").val('').prop('readonly', false);
        },
        //支付可用
        enable_pay: function () {
            $(".pay-submit").removeClass('error_pay').addClass('pay_go');

        },
        //支付不可用
        disable_pay: function () {
            $(".pay-submit").removeClass('pay_go').addClass('error_pay');
        },
        //改变用户的时候
        change_user: function () {
            func.exec();
        },
        //获取登录用户信息
        init_login_user: function () {
            var url = $("#get_login_user").val();
            common.ajax_post_mobile(url, false, true, function (rt) {
                common.post_tips_mobile(rt, function (obj) {
                    $("input[name='username']").val(obj.ret_data.username);
                    func.exec();
                }, false);
            })
        },
        //下单
        order: function () {
            func.disable_pay();
            var type = $('#pay_type').val();
            var url = $('#gateway').val();
            var username = $('input[name="username"]').val();
            var pak_id = $('input[name="pak_id"]').val();
            var coupon = $('input[name="coupon"]').val();
            var num = $('input[name="buy_num"]').val();
            var add_terminal = $('input[name="day_num"]').val();

            var param = {
                username: username,
                req_type: '2',
                exec_type: 'add_time',
                pak_id: pak_id,
                coupon: coupon,
                num: num,
                add_terminal: add_terminal
            };

            common.ajax_post_mobile(url, param, false, function (rt) {
                common.post_tips_mobile(rt, function (obj) {
                    func.enable_pay();
                    var order = obj.ret_data.order;
                    if (!order) {
                        layer.open({
                            content: '订单创建失败',
                            skin: 'msg',
                            time: 2 //2秒后自动关闭
                        });
                        return false;
                    }
                    switch (type) {
                        case 'alipay':
                            $("#order_form").attr('action', $("#alipay_url").val() + '?order=' + order);
                            $("#order_form").submit();
                            break;
                        case 'weipay':
                            func.wx_pay(order, type);
                            break;
                        case 'weipay_public':
                            func.wx_pay(order, type);
                            break;
                    }
                }, function (obj) {
                    layer.open({
                        content: obj.msg,
                        skin: 'msg',
                        time: 2 //2秒后自动关闭
                    });
                });
            });
        },
        do_pay: function (info, type) {
            if (!type) {
                alert('支付类型不支持');
            }
            var data = '';
            if (type == 'weipay_public') {

                func.wechat_pay(info.info);
            }
            else if (type == 'weipay') {
                data = {
                    'action': 'act_pay',
                    'info': info    // 参考: https://pay.weixin.qq.com/wiki/doc/api/app.php?chapter=9_12
                };
                func.send(data);
            }
            else {
                layer.open({
                    content: '支付类型暂时不支持',
                    skin: 'msg',
                    time: 2 //2秒后自动关闭
                });
            }
        },
        // 发送命令,webview
        send: function send(data) {
            window.WebViewJavascriptBridge.send(data);
        },
        //微信支付
        wechat_pay: function (info) {
            if (typeof WeixinJSBridge == "undefined"){
                if( document.addEventListener ){
                    document.addEventListener('WeixinJSBridgeReady', jsApiCall, false);
                }else if (document.attachEvent){
                    document.attachEvent('WeixinJSBridgeReady', jsApiCall);
                    document.attachEvent('onWeixinJSBridgeReady', jsApiCall);
                }
            }else{
                WeixinJSBridge.invoke(
                    'getBrandWCPayRequest',
                    common.str2json(info),
                    function (res) {
                        /*WeixinJSBridge.log(res.err_msg);
                         alert(res.err_code + res.err_desc + res.err_msg);*/
                        if(res.err_msg == "get_brand_wcpay_request:ok"){
                            alert('支付成功!');
                            location.href=$("#ucenter").val()
                        }
                    }
                );
            }


        }
    };

    //卡密提交订单
    $(document).on("click", ".exchange_card", function () {
        func.exchange_card();
    });
    //支付
    $(document).on('click', '.pay_go', function () {
        var obj = $(this);
        func.order(obj);
    });
    //用户名判断提交
    $(document).on('change', '.pay-input', function () {
        if ($("input[name='username']").val() == '') {

            layer.open({
                content: '用户名不能空'
                , skin: 'msg'
                , time: 2 //2秒后自动关闭
            });
            return;
        }
        func.user_judge();
    });
    //优惠券判断提交
    $(document).on('click', '#coupons_ok', function () {
        if ($("input[name='coupon']").val() == '') {
            layer.open({
                content: '优惠券号码不能为空'
                , skin: 'msg'
                , time: 2 //2秒后自动关闭
            });
            return;
        }
        //func.cash();
        func.exec();
    });
    //取消优惠券
    $(document).on('click', '#coupons_retry', function () {
        func.unlock_coupon();
        func.exec();
    });
    //支付方式判断
    $(document).on('click', '.pay_type_btn', function () {
        var type = $(this).data('id');
        $('#pay_type').val(type);
        func.exec_price();
    });
    //改变用户
    $(document).on('change', 'input[name="username"]', function () {
        func.change_user();
    });
    //error_pay
    $(document).on('click', '.error_pay', function () {
        layer.open({
            content: '订单正在提交或支付信息不正确'
            , skin: 'msg'
            , time: 2 //2秒后自动关闭
        });
    });

    func.init();
});

window.onload = function () {
    if (typeof WeixinJSBridge == "undefined") {
        if (document.addEventListener) {
            document.addEventListener('WeixinJSBridgeReady', editAddress, false);
        } else if (document.attachEvent) {
            document.attachEvent('WeixinJSBridgeReady', editAddress);
            document.attachEvent('onWeixinJSBridgeReady', editAddress);
        }
    } else {
        editAddress();
    }
};