$(function () {
    var expire_time = $('#expire_time').val();
    var change_expire_time = $('#expire_time').val();
    var main_block;
    var time_index;
    var func = {
        init: function () {
            var bind_flag = $("#bind_flag").val();
            if(bind_flag == "true"){
                $public.wx_tip.open();
            }
        },
        //登录提交
        login_quit: function () {
            var url = $("#login_out").val();
            common.ajax_post_mobile(url, null, true, function (rt) {
                common.post_tips_mobile(rt);
                var obj = common.str2json(rt);
                if (obj.code == 1) {
                    var login = $("#login").val();
                    location.href = login;
                } else {
                    layer.open({
                        content: '退出失败',
                        skin: 'msg',
                        time: 2 //2秒后自动关闭
                    });
                }
            });
        },
        //获取手机验证码
        get_phone_code: function (verify) {
            //检查手机号是否符合规范
            var regx = /^[1][3-9][0-9]{9}$/;
            var phone = $("#bind_phone").val();
            if (!regx.test(phone)) {
                layer.open({
                    content: '手机号格式不正确',
                    skin: 'msg',
                    time: 2 //2秒后自动关闭
                });
                return;
            }
            var url = $("#get_phone_code").val();
            var reg = "reg";
            common.ajax_post_mobile(url, {reg: reg, phone: phone, verify: verify}, true, function (rt) {
                common.post_tips_mobile(rt, function () {
                    layer.open({
                        content: '获取短信验证码成功',
                        skin: 'msg',
                        time: 2 //2秒后自动关闭
                    });
                    func.time_clock(expire_time,"get_vacode");
                });
            }, true, [0.1, "#eee"]);
        },
        //获取手机验证码
        get_change_phone_code: function (verify) {
            //检查手机号是否符合规范
            var regx = /^[1][3-9][0-9]{9}$/;
            var phone = $("#check_phone").val();
            if (!regx.test(phone)) {
                layer.open({
                    content: '手机号格式不正确',
                    skin: 'msg',
                    time: 2 //2秒后自动关闭
                });
                return;
            }
            var url = $("#get_phone_code").val();
            common.ajax_post_mobile(url, {phone: phone, verify: verify}, true, function (rt) {
                common.post_tips_mobile(rt, function () {
                    layer.open({
                        content: '获取短信验证码成功',
                        skin: 'msg',
                        time: 2 //2秒后自动关闭
                    });
                    func.time_clock(change_expire_time,"get_check_vacode");
                });
            }, true, [0.1, "#eee"]);
        },
        //立即绑定
        bind_phone: function () {
            var phone = $("#bind_phone").val();
            //检查手机号是否符合规范
            var regx = /^[1][3-9][0-9]{9}$/;
            if (!regx.test(phone)) {
                layer.open({
                    content: '手机号格式不正确',
                    skin: 'msg',
                    time: 2 //2秒后自动关闭
                });
                return;
            }

            var phone_code = $("#phone_code").val();

            if (phone == '') {
                layer.open({
                    content: '手机号不能为空',
                    skin: 'msg',
                    time: 2 //2秒后自动关闭
                });
                return;
            }
            if (phone_code == '') {
                layer.open({
                    content: '手机验证码不能为空',
                    skin: 'msg',
                    time: 2 //2秒后自动关闭
                });
                return;
            }

            var bind_phone_url = $('#bind_phone_url').val();
            common.ajax_post_mobile(bind_phone_url, {
                phone: phone,
                phone_code: phone_code
            }, true, function (rt) {
                /*common.post_tips_mobile(rt);*/
                var obj = common.str2json(rt);
                if (obj.code == 1) {
                    location.href=$("#bind_success").val();
                } else {
                    $("#img_verify").trigger('click');
                }
            })
        },

        change_phone :function(){
            var phone = $("#check_phone").val();
            //检查手机号是否符合规范
            var regx = /^[1][3-9][0-9]{9}$/;
            if (!regx.test(phone)) {
                layer.open({
                    content: '手机号格式不正确',
                    skin: 'msg',
                    time: 2 //2秒后自动关闭
                });
                return;
            }

            var phone_code = $("#check_phone_code").val();

            if (phone == '') {
                layer.open({
                    content: '手机号不能为空',
                    skin: 'msg',
                    time: 2 //2秒后自动关闭
                });
                return;
            }
            if (phone_code == '') {
                layer.open({
                    content: '手机验证码不能为空',
                    skin: 'msg',
                    time: 2 //2秒后自动关闭
                });
                return;
            }

            var change_phone_url = $('#change_phone_url').val();
            common.ajax_post_mobile(change_phone_url, {
                phone: phone,
                phone_code: phone_code
            }, true, function (rt) {
                /*common.post_tips_mobile(rt);*/
                var obj = common.str2json(rt);
                if (obj.code == 1) {
                    sp.open(".bind-phone");
                } else {
                    $("#change_img_verify").trigger('click');
                }
            })
        },
        //倒计时120秒
        time_clock: function (expire_time,dom_name) {
            /**第一次存剩余时间S*/
            //func.write_countdown(time_sec);
            /**第一次存剩余时间E*/

            $("#"+dom_name).addClass("disabled").removeClass(dom_name);
            $("#"+dom_name).html(expire_time + "秒后重试");
            time_index = window.setInterval(function () {
                $("#"+dom_name).html(--expire_time + "秒后重试");
                //
                ///**每5秒存一次剩余时间S*/
                //if (time_sec % 5 == 0 && time_sec != 0) {
                //    func.write_countdown(time_sec);
                //}
                ///**每5秒存一次剩余时间E*/
                if (expire_time == 0) {
                    ///**写倒计时时间清空S*/
                    //func.write_countdown(null);
                    ///**写倒计时时间清空E*/

                    $("#"+dom_name).html('获取验证码').addClass(dom_name).removeClass("disabled");
                    window.clearInterval(time_index);
                }
                //alert(0)
            }, 1000)
        },
        slide_page : function(){
        var sps=$(".sd-pages");
        function open(selector){
            var sp=sps.find(selector);
            sps.show();
            setTimeout(function(){
                sps.addClass("active").find(".slide-page").removeClass("active");
                sp.addClass("active");
            },50);

        }
        function close(selector){
            if(selector){
                var sp=sps.find(selector);
                sps.removeClass("active");
                sp.removeClass("active");
            }else{
                sps.removeClass("active").find(".slide-page").removeClass("active");
            }
            setTimeout(function(){
                sps.hide();
            },500);
        }
        return {
            open:open,
            close:close
        }
    }

    };

    var sp = func.slide_page();
    func.init();
    //用户注册协议
    $(document).on('click', '#agreement', function () {
        var url = $("#agreement_register").val();
        common.ajax_post_mobile(url, false, true, function (rt) {
            var obj = eval('(' + rt + ')');
                var pageii = layer.open({
                    type: 1,
                    content: obj.html + '<input type="button" onclick="layer.closeAll()" value="关闭">',
                    anim: 'up',
                    style: 'position:fixed; left:0; top:0; width:100%; height:100%; border: none; -webkit-animation-duration: .5s; animation-duration: .5s;overflow-y:scroll;'
                });
        });


    });

    //登录提交
    $(document).on("click", "#login_quit", function () {
        func.login_quit();
    });


    //登录提交
    $(document).on("click", ".check_new", function () {
        window.WebViewJavascriptBridge.send({'action':'act_update', 'info':''});
    });


    //获取手机验证码
    $(document).on('click', '.get_vacode', function () {
        var phone=$('input[name="phone"]').val();

        if(!/1[3-9][0-9]{9}/.test(phone)){
            layer.open({
                content: '请输入正确的手机号',
                skin: 'msg',
                time: 2 //2秒后自动关闭
            });
            return;
        }

        var code = $("#bind_verify").val();
        func.get_phone_code(code);

    });

    $(document).on('click', '.get_check_vacode', function () {
        var phone=$('input[name="check_phone"]').val();

        if(!/1[3-9][0-9]{9}/.test(phone)){
            layer.open({
                content: '请输入正确的手机号',
                skin: 'msg',
                time: 2 //2秒后自动关闭
            });
            return;
        }
        var code = $("#check_verify").val();
        func.get_change_phone_code(code);
    });

    //立即绑定
    $(document).on('click', '.bind_phone', function () {
        func.bind_phone();
    });

    //立即绑定
    $(document).on('click', '.check_phone', function () {
        func.change_phone();
    });


});

